Subject: Re: Fixes for Windows

From: Olly Betts <[email-masked]>
Date: Mon, 27 Nov 2023 04:19:47 +0000

On Fri, Nov 24, 2023 at 10:31:45AM -0700, Karl Berry wrote:
> Hi Olly - back on your message from January 2018:
> 
>     https://lists.gnu.org/archive/html/automake-patches/2018-01/msg00007.html
> 
>     I found I needed the two attached patches to build Xapian
>     (https://xapian.org) on Windows.
> 
> The first patch was already applied some time ago.
> 
>     The second patch is only needed when using libtool, but should
>     be harmless when not.
> 
> I agree. Belatedly applied, sorry for the crazy delay. Thanks.
> (And thanks to Bogdan for unearthing this from the archives.)

Thanks - better late than never!

Also of likely interest to anyone aiming to support MSVC on autotools
is a patch for libtool to fix a deprecation warning on every DLL link,
which I also originally submitted back in January 2018 and which you've
just prompted me to resubmit:

https://savannah.gnu.org/patch/?10417

Cheers,
    Olly